### Virtual Method

# Ide Vcs is_ignored

#### Declaration

    gboolean
    is_ignored (
      IdeVcs* self,
      GFile* file,
      GError** error
    )

#### Description

This function will check if `file` is considered an “ignored file” by the underlying Version Control System.

For convenience, this function will return `TRUE` if `file` is `NULL`.

If `self` is `NULL`, only static checks against known ignored files will be performed (such as .git, .flatpak-builder, etc).

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the path should be ignored. Thread safety: This function is safe to call from a thread as `IdeVcs` implementations are required to ensure this function is thread-safe.